#### D.8.9.2 psigncnd

Procedure from library `signcond.lib` (see signcond_lib).

Usage:
  psigncnd(P,l); ideal P, list l

Return:
  list: a formatted version of l

Example:

    LIB "signcond.lib";
    ring r = 0,(x,y),dp;
    ideal i = (x-2)*(x+3)*x,(y-1)*(y+2)*(y+4);
    ideal P = x,y;
    list l = signcnd(P,i);
    psigncnd(P,l);
    ==> 1 elements of V(I) satisfy {P[1] = 0,P[2] > 0}
    ==> 1 elements of V(I) satisfy {P[1] > 0,P[2] > 0}
    ==> 1 elements of V(I) satisfy {P[1] < 0,P[2] > 0}
    ==> 2 elements of V(I) satisfy {P[1] = 0,P[2] < 0}
    ==> 2 elements of V(I) satisfy {P[1] > 0,P[2] < 0}
    ==> 2 elements of V(I) satisfy {P[1] < 0,P[2] < 0}
    ==>

See also: signcnd.

User manual for Singular version 4.4.1, 2025, generated by texi2html.